import React from 'react';
import { Modal, Spin } from 'antd';
import CreateFrom from '@/account/evaluate/create';

class DemandDesc extends React.Component {
	constructor(props) {
		super(props);
		this.state = {
			loading: false,
			showState:false
		};
	}
	handleCancel() {
		this.setState({
			visible: false,
		});
		this.props.closeDesc(false, true);
	}
	handOk() {
		this.setState({
			visible: false,
		});
		this.props.closeDesc(false, true);
	}
	componentWillReceiveProps(nextProps) {
		this.state.visible = nextProps.showDesc;
	}
	render() {
		let data = this.props.data || {};
		return (
			<div className="patent-desc">
				<Modal
					maskClosable={false}
					visible={this.state.visible}
					onOk={this.handOk.bind(this)}
					onCancel={this.handleCancel.bind(this)}
					width="1200px"
					title={!data.id ? '开始新评估' : '评估结果'}
					footer=""
					className="admin-desc-content"
				>
					<div>
						<div>
							<CreateFrom 
								closeDesc={this.handleCancel.bind(this)}
								data={this.props.data}
								visible={this.state.visible}
								handOk={this.handOk.bind(this)}
								/>
						</div>
					</div>
				</Modal>
			</div>
		);
	}
}

export default DemandDesc;
